/*================================================================
Product:    GGJ-2017
Developer:  Onur Tanrıkulu
Company:    Onur Tanrikulu
Date:       20/01/2017 21:15

Copyright (c) 2017 Onur Tanrikulu. All rights reserved.
================================================================*/

using System;

public class Character
{
   #region Fields
    private static Character instance = null;
    public Power Power { get; set;}
   #endregion
 
   #region Constructors
    public Character()
    {
        Power = new Power();
        IsFacingRight = true;
    }
   #endregion
 
   #region Properties
	public bool IsFacingRight
	{
		get;
		set;
	}

    public static Character Instance
    {
        get
        {
            if (instance == null)
            {
                instance = new Character();
            }

            return instance;
        }
    }
   #endregion
 
   #region Methods
   // code here
   #endregion
}
